<?php
/* mod_ezeeimage
* By Daniel Chapman
* http://www.ninjoomla.com 
* Copyright (C) 2007  Daniel Chapman, www.ninjoomla.com - Code so sharp, it hurts.
* email: daniel@ninjoomla.com 
* date: January 2008
* Release: 1.1
* PHP Code License : http://www.gnu.org/copyleft/gpl.html GNU/GPL 
*
* Changelog: 
*
* 1.1 January, 08 :
* 		Param added for include CSS
* 		param added for XHTML Validation
*
* 1.0.1 September, 07 :
* 		Module now Validates for both CSS and XHTML 1.0
* 		Fixed an install bug
* 		Misc php cleaning and optimising
*		Added alt and title params for better SEO and validation
* 
* 1.0 18 July, 07 : 
*       Initial version
* 
*/
###################################################################
//Ninja Eye Module
//Copyright (C) 2007 Richie Mortimer and Daniel Chapman. Ninjoomla.com. All rights reserved.
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
###################################################################
/*
* Ezee Image is a module designed to make placing and positioning images in module positions easier. 
* (c) Copyright: Ninjoomla, www.ninjoomla.com - Code so sharp, it hurts.
* email: daniel@ninjoomla.com 
* date: 18 July, 2007
* Release: 1.1
*
* Code License : http://www.gnu.org/copyleft/gpl.html GNU/GPL 
*
* Changelog: 
*
* 1.0.1 September, 07 :
* 		Module now Validates for both CSS and XHTML 1.0
* 		Fixed an install bug
* 		Misc php cleaning and optimising
*		Added alt and title params for better SEO and validation
* 
* 1.0 18 July, 07 : 
*       Initial version
* 
*
*/
//###################################################################
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//version 2 as published by the Free Software Foundation.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//###################################################################

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

    // get module parameters
	$incCSS = $params->get( 'incCSS' );
	$forceValid= $params->get( 'forceValid' );
    $height = $params->get( 'height' );
    $width = $params->get( 'width' );
    $margin_left = $params->get( 'margin_left' );
    $margin_top = $params->get( 'margin_top' );
    $file_loc = $params->get( 'file_loc' );
    $file_name = $params->get( 'file_name' );
    $use_url = $params->get( 'use_url' );
    $url_loc = $params->get( 'url_loc' );
    $image_id = $params->get( 'image_id' );
    $style = $params->get( 'style' );
    $use_png = $params->get( 'use_png' );
    $alt = $params->get( 'alt' );
    $title = $params->get( 'title' );
    
    $ua = $_SERVER['HTTP_USER_AGENT'];
    //display PNG fix for ie6 if requested
    //set the string to be either the htc file or blank then
    //concatenate it into the image display string later. 
    if (($use_png == 'y')&&((ereg( "MSIE",  $ua))&& (ereg( "6",  $ua)))){
        $pngFixString = ' style="behavior: url(\'modules/mod_ezeeimage/png.htc\');" ';
    }else {
        $pngFixString ='';
    }
    
	// set up the header tag
	$headertag = '';
    //Display the image.
    //First style the image using the parameters
	// and we will check if the user wants us to
	if ($incCSS) {
    $headertag .=  '<style type="text/css"> 
              img#'.$image_id.' {	
                    margin-left: '.$margin_left.'px;
    	              margin-top: '.$margin_top.'px;
    	              width: '.$width.'px;
    	              height: '.$height.'px;
                    border:0; 
    	              '.$style.'
              } 
              .nounder'.$image_id.' {
    	               text-decoration: none;
    	               border: 0;
              }  
            </style>';
			}
            
    //Now lets put our CSS into the header of our page to get valid XHTML and CSS
    //We do this by getting the current contents of the output buffer, 
    //and cutting it in half just before the </head> tag. Then we insert our
    //code just before the </head> tag. 
	//check to see if forceValid is enabled
	if ($forceValid) {
    $buffer = ob_get_contents();
    $hdrPos = strpos ($buffer, '</head>');
    $buffer = substr ($buffer, 0, $hdrPos) . "\n$headertag\n". substr($buffer, $hdrPos);
    ob_clean();
    echo $buffer;
	} // else just echo the headertag
	else {
	echo $headertag;
	}
          
    //Use url:  Yes - Default Homepage        
    if ($use_url == 'yd'){
        echo '<a href="'.$mosConfig_live_site.'" class="noundera'.$image_id.'">';
    //Use url:  Yes - Manually Set
    }else if ($use_url == 'ym'){
        echo '<a href="'.$url_loc.'" class="noundera'.$image_id.'">';
    }
    //If Use url is 'No - Static Image' then don't make any <a> tags
    
     //The following two lines are to reduce code redundancy in the display code below
    $img_tag_strt = '<img '.$pngFixString.' src="';
    $img_tag_end  = $file_name.'" class="ezeeLogo" alt="'.$alt.'" title="'.$title.'" id="'.$image_id.'" />';
        
    //template directory
    if ($file_loc == 'tpt'){
        echo  $img_tag_strt.$mosConfig_live_site.'/templates/'.$mainframe->getTemplate().$img_tag_end;
    //images directory
    }else if ($file_loc == 'img'){
        echo  $img_tag_strt.$mosConfig_live_site.'/images/'.$img_tag_end;
    //hard coded image location
    } else {
        echo  $img_tag_strt.$img_tag_end;
    }
    
    //close the a tags if they exist
    if ($use_url != 'n'){
        echo '</a>';
    }
    

?>
