<?php
/*
* Ezee Logo is a module designed to make editing the location of your logo 
* easier for those who who do not want to spend much time coding. 
* (c) Copyright: Ninjoomla, www.ninjoomla.com - Code so sharp, it hurts.
* email: daniel@ninjoomla.com 
* date: September, 2007
* Release: 1.1.1
* License : http://www.gnu.org/copyleft/gpl.html GNU/GPL 
*
* Changelog
*
* 1.2 January 08 :
*		Added Param Include CSS
*		Added Param Force XHTML Valid
*
* 1.1.1 September, 07 :
* 		Module now Validates for both CSS and XHTML 1.0
* 		Fixed an install bug
* 		Misc php cleaning and optimising
*		Added alt, title and text params for better SEO and validation
*
* 1.1 July 18, 07 : 
*       Added a lot of comments to the source (pro version)
*       Added PNG Fix functionality
* 
* 1.0 May 3, 07 : 
*       Initial Version
*       
*/
//###################################################################
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//version 2 as published by the Free Software Foundation.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//###################################################################

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

      //get module parameters
	  $incCSS = $params->get('incCSS');
	  $forceValid = $params->get('forceValid');
      $height = $params->get('height');
      $width = $params->get('width');
      $margin_left = $params->get('margin_left');
      $margin_top = $params->get('margin_top');
      $file_loc = $params->get('file_loc');
      $file_name = $params->get('file_name');
      $use_url = $params->get('use_url');
      $url_loc = $params->get('url_loc');
      $image_id = $params->get('image_id');
      $z_index = $params->get('z_index');
      $use_png = $params->get( 'use_png' );
      $alt = $params->get( 'alt' );
      $text = $params->get( 'text' );
      $title = $params->get( 'title' );
    
      $ua = $_SERVER['HTTP_USER_AGENT'];
      //display PNG fix for ie6 if requested
      //set the string to be either the htc file or blank then
      //concatenate it into the image display string later. 
      if (($use_png == 'y')&&((ereg( "MSIE",  $ua))&& (ereg( "6",  $ua)))){
          $pngFixString = ' style="behavior: url(\'modules/mod_ezeelogo/png.htc\');" ';
      }else {
          $pngFixString ='';
      }
      $headertag ='';
      //display logo
	  if ($incCSS) {
      $headertag .= '<style type="text/css"> 
                img#'.$image_id.' {	
                      position:  absolute;
      	              float: left;
      	              margin-left: '.$margin_left.'px;
      	              margin-top: '.$margin_top.'px;
      	              width: '.$width.'px;
      	              height: '.$height.'px;
         	          z-index: '.$z_index.';
         	          border:0;
         	          text-decoration: none;
                } 
                
                h1.ezeeLogo {
					text-indent: -5000px;
					position: absolute;
				}
                 
              </style>';
			 }
              
      //Now lets put our CSS into the header of our page to get valid XHTML and CSS
      //We do this by getting the current contents of the output buffer, 
      //and cutting it in half just before the </head> tag. Then we insert our
      //code just before the </head> tag. 
	  if ($forceValid) {
      $buffer = ob_get_contents();
      $hdrPos = strpos ($buffer, '</head>');
      $buffer = substr ($buffer, 0, $hdrPos) . "\n$headertag\n". substr($buffer, $hdrPos);
      ob_clean();
      echo $buffer;
	  } else {
	  echo $headertag;
	  }
      
      //Use url:  Yes - Default Homepage 
      if ($use_url == 'yd'){
          echo '<a href="'.$mosConfig_live_site.'" class="noundera'.$image_id.'">';
      //Use url:  Yes - Manually Set
      }else if ($use_url == 'ym'){
          echo '<a href="'.$url_loc.'" class="noundera'.$image_id.'">';
      }
      //If Use url is 'No - Static Image' then don't make any <a> tags
    
	if ($text) 
	   $img_tag_strt = '<h1 class="ezeeLogo">'.$text.'</h1>';
    
     //The following two lines are to reduce code redundancy in the display code below
    $img_tag_strt .= '<img '.$pngFixString.' src="';
    $img_tag_end  = $file_name.'" class="ezeeLogo" alt="'.$alt.'" title="'.$title.'" id="'.$image_id.'" />';
        
    //template directory
    if ($file_loc == 'tpt'){
        echo  $img_tag_strt.$mosConfig_live_site.'/templates/'.$mainframe->getTemplate().$img_tag_end;
    //images directory
    }else if ($file_loc == 'img'){
        echo  $img_tag_strt.$mosConfig_live_site.'/images/'.$img_tag_end;
    //hard coded image location
    } else {
        echo  $img_tag_strt.$img_tag_end;
    }
    
          
      //close the a tags if they exist
      if ($use_url != 'n'){
          echo '</a>';
      }

?>
