<?php
/* Calculate Ninja (Math made easier!)
* By Ricardo Sousa
* http://www.ricardojrsousa.com
* http://www.ninjoomla.com
* Copyright (C) 2008 Ricardo Sousa www.ninjoomla.com - Code so sharp, it hurts.
* email: ricardosousa@aiedi.com
* date: April 2008
* Release: 1.0
* License : http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
* Changelog
*
* 
* 1.0 - Initial Version
*        JOOMLA 1.0.1X VERSION & Joomla 1.5 Versions
*
*
*/
###################################################################
//Ninja My Friends   (www.ricardojrsousa.com)
//Copyright (C) 2007 Ricardo Sousa. Ninjoomla.com. All rights reserved.
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
###################################################################


// Restriced Access Please
defined( '_VALID_MOS' ) or die( 'Restricted access' );

 // Lets look for the backend parameters
$inc_mootools = $params->get( 'inc_mootools','2' );
$inc_css = $params->get( 'inc_css','1' );
$forceValid = $params->get( 'forceValid','0' );
$container = $params->get( 'container','0' );  
$draggable = $params->get ('dragit', '1');
$hide = $params->get ('hideit', '');
$initial = $params->get ('initial', '1');

global $mosConfig_live_site;
if ($inc_css) {
$headertag = '<link rel="stylesheet" type="text/css" href="'.$mosConfig_live_site.'/modules/mod_calculate_ninja/resources/stylesheets/calculator.css" />'."\n";
}
if ($draggable == 1) {
if ($inc_mootools) {
$headertag .= '<script src="'.$mosConfig_live_site.'/modules/mod_calculate_ninja/resources/javascripts/mootools.js" type="text/javascript" language="javascript"></script>';     
}
$headertag .=  "<script type=\"text/javascript\">var varCon = '".$container."'</script>";
$headertag .=  '<script src="'.$mosConfig_live_site.'/modules/mod_calculate_ninja/resources/javascripts/dragger.js" type="text/javascript" language="javascript"></script>';
}
if ($initial == "closed") {
$tag = ".hide()";
}
if ($hide == 1) {
$headertag .= '<script type="text/javascript"> window.addEvent(\'domready\', function(){    
  var calculator = new Fx.Slide($(\'calc_body\'),{duration: 500, transition: Fx.Transitions.linear })'.$tag.';  
   $(\'openclose\').addEvent(\'click\', function(e){                                                                                            
    e = new Event(e);
    calculator.toggle();
    e.stop();
  }); 
  
  });
  
  </script>
  ';
}
$headertag .= '<script language="javascript" src="'.$mosConfig_live_site.'/modules/mod_calculate_ninja/resources/javascripts/calculator.js" type="text/javascript"></script>';

   if(!defined('_HLPR_IMG_DIR')){
      require_once( 'modules/mod_calculate_ninja/config/global.extn_cfg.php' );
  }
    
if ($forceValid) {
$buffer = ob_get_contents();
$pos = strpos ($buffer, '</head>');
$buffer = substr ($buffer, 0, $pos) . "\n$headertag\n". substr($buffer, $pos);
ob_clean();
echo $buffer;
}else{
echo $headertag;
}
?>
    <div id="njcalculator" class="ezeeDragger">
    <div id="njbutton">
    <a id="openclose"><img src="<?php echo $mosConfig_live_site;?>/modules/mod_calculate_ninja/resources/images/button.png" alt="Ninja Calculator" />   </a>
    </div>
    <div id="calc_body">
    <div id="calc_outcome" class="inputbox">0</div>
    <div class="calc_buttonrow">
      <div class="calc_button_left"><input type="button" value="CE" class="button" style="width:30px" onClick="calc('CE')"/></div>
      <div class="calc_button_left"><input type="button" value="C" class="button" style="width:30px" onClick="calc('C')"/></div>
      <div class="calc_button_left"><input type="button" value="+/-" class="button" style="width:30px" onClick="calc('+/-')"/></div>
      <div class="calc_button_right"><input type="button" value="%" class="button" style="width:30px" onClick="calc('%')"/></div>
    </div> 
    <div class="calc_buttonrow">
      <div class="calc_button_left"><input type="button" value="7" class="button" style="width:30px" onClick="calc('7')"/></div>
      <div class="calc_button_left"><input type="button" value="8" class="button" style="width:30px" onClick="calc('8')"/></div>
      <div class="calc_button_left"><input type="button" value="9" class="button" style="width:30px" onClick="calc('9')"/></div>
      <div class="calc_button_right"><input type="button" value="/" class="button" style="width:30px" onClick="calc('/')"/></div>
    </div>  
    <div class="calc_buttonrow">
      <div class="calc_button_left"><input type="button" value="4" class="button" style="width:30px" onClick="calc('4')"/></div>
      <div class="calc_button_left"><input type="button" value="5" class="button" style="width:30px" onClick="calc('5')"/></div>
      <div class="calc_button_left"><input type="button" value="6" class="button" style="width:30px" onClick="calc('6')"/></div>
      <div class="calc_button_right"><input type="button" value="x" class="button" style="width:30px" onClick="calc('*')"/></div>
    </div>  
    <div class="calc_buttonrow">
      <div class="calc_button_left"><input type="button" value="1" class="button" style="width:30px" onClick="calc('1')"/></div>
      <div class="calc_button_left"><input type="button" value="2" class="button" style="width:30px" onClick="calc('2')"/></div>
      <div class="calc_button_left"><input type="button" value="3" class="button" style="width:30px" onClick="calc('3')"/></div>
      <div class="calc_button_right"><input type="button" value="-" class="button" style="width:30px" onClick="calc('-')"/></div>
    </div> 
    <div class="calc_buttonrow">
      <div class="calc_button_left"><input type="button" value="0" class="button" style="width:30px" onClick="calc('0')"/></div>
      <div class="calc_button_left"><input type="button" value="." class="button" style="width:30px" onClick="calc('.')"/></div>
      <div class="calc_button_left"><input type="button" value="=" class="button" style="width:30px" onClick="calc('=')"/></div>
      <div class="calc_button_right"><input type="button" value="+" class="button" style="width:30px" onClick="calc('+')"/></div>
    </div>  
  </div>
 </div>
 <div class="calc_spacer"></div> 
 