<?php
// dashboard Config / Language file for Ninja Extensions Helpers
//
// Distributed under the terms of the GNU General Public License
// This software may be used without warrany provided and
// copyright statements are left intact.


/*****Settings for the helpers*****/
//The component name, used to build directories
$HLPR_EXTN_NAME = 'mod_calculate_ninja';
//The component name, used to for descriptions
$HLPR_EXTN_REAL_NAME = 'Calculate Ninja';
//The optional buttons to show at the bottom of the description page
//remove options you don't need
$HLPR_DESC_BUTTONS = 'xhtml,css,cc,gpl,lgpl';


/************
*Information for the Dashboard tabs
*************/
/***Text For the Dashboard tabs - shouldn't change***/
//Created By text
$HLPR_DASH_CREATEBY_TXT = 'Created by: ';
//License Information 
$HLPR_DASH_PHP_REL_UNDR_TXT = 'PHP Released Under: ';
$HLPR_DASH_JS_REL_UNDR_TXT = 'JS Released Under: ';
$HLPR_DASH_CSS_REL_UNDR_TXT = 'CSS & Images: ';
//'Rate it at' question and text
$HLPR_DASH_RATE_QN = 'Do you like this extension? ';
$HLPR_DASH_RATE_TXT = 'Rate it at ';
$HLPR_DASH_RATE_TXT2 = 'Joomla.org';
//Support Text

$HLPR_DASH_SUPPT_TXT = 'Support:';
$HLPR_DASH_SUPPT_TXT2 = ' If you require support for this component please visit the <a href="http://www.ninjoomla.com/index.php?option=com_fireboard&Itemid=39"> Ninjoomla forums</a>.';
//Copyright Information - used in the copyRight function
$HLPR_DASH_COPY_TXT = 'Extension Copyright: ';
$HLPR_DASH_COPY = 'Copyright <a href="http://www.ninjoomla.com">Ninjoomla</a> 2008';
//Description title
$HLPR_DASH_DESC_TXT = 'Description: ';
//Usage Instructions page title
$HLPR_DASH_USAGE_TITLE = 'Usage Instructions';
$HLPR_DASH_USAGE_BASIC_TXT = 'Basic Setup';
$HLPR_DASH_USAGE_TIPS_TXT = 'Tips and Advanced Usage';
$HLPR_DASH_USAGE_TS_TXT = 'Trouble Shooting FAQ';
//Changelog Page Title
$HLPR_DASH_CHANGE_TITLE = 'Changelog & Version Information';



/***Variables For the Dashboard pages - should change***/
//Catch Phrase
$HLPR_DASH_CATCHPHRASE = 'Math Made easier!';
//Who wrote the extension 
$HLPR_DASH_CREATEBY = 'Ricardo Sousa';
//License Information 
$HLPR_DASH_PHP_REL_UNDR = '<a href="http://creativecommons.org/licenses/GPL/2.0/">CC-GNU GPL</a>';
$HLPR_DASH_JS_REL_UNDR = '<a href="http://creativecommons.org/licenses/by-nc-sa/3.0/us/">Creative Commons Attribution-Noncommercial-Share Alike 3.0</a>';
$HLPR_DASH_CSS_REL_UNDR = 'Copyright <a href="http://www.ninjoomla.com">Ninjoomla</a> 2008';
//'Rate it at' url
//Once your extension is listed on the JED please update this link to the correct link as soon as possible
$HLPR_DASH_RATE_URL = 'http://extensions.joomla.org';
//Description content
$HLPR_DASH_DESC = '<p>This extension reborn to make your math operations easier! Let your users have a nice and draggable calculator in your page!</p>
<p>Now math is easier! Ideal for Business/School Websites!</p>';
//Usage Instructions page HTML
//Basic Setup
$HLPR_DASH_USAGE_BASIC = '<p>Install and use this extension is easier than what you can imagine!</p>
    <ul>
        <li>Go to Installers -> Modules -> Select file -> Install</li>
        <li>Open module Parameters and set where (position) it should appear!</li>
        <li>Publish it and voil... Ninja Power!</li>
    </ul>
    <p> Any question can be posted at Ninjoomla Forum! </p>';
//Tips and Advance Usage
$HLPR_DASH_USAGE_TIPS = '<p>Get more from your extension...</p>
    <dl>
        <dt>Can i make it draggable just inside one div?</dt>
        <dd>Sure... Just insert the div name in the Container field.</dd>
        <dt>How can i hide/show it?</dt>
        <dd>Sure. Just set to yes this option. And you can also select the inital position.</dd>
        <dt>Can i make it not draggable?</dt>
        <dd>Just turn it down in the parameters.</dd>
        <dt>I already have mootools installed! Can i not include it?</dt>
        <dd><p>Sure.. Just select to not include Mootools and it will be not included.</p>
            <p>This extension is also Valid XHTML/CSS bringing you all Ninja Power!</p></dd>
    <dt> Give it your style... </dt>
        <dd>You can change the stylesheet of this module to make it rock exactly as you want!.</dd>
        </dl>';
//Trouble Shooting FAQ
$HLPR_DASH_USAGE_TS = '<p>Solving problems?!</p>
    <dl>
        <dt>Mootools error? Script not working?</dt>
        <dd>Please try to not include mootools or even not force it valid and check if it make your module to work.</dd>
        <dt>Every time i want o drag calculator it hides...</dt>
        <dd>Yeah. Is a knew limitation right now. You can do 1 of two things: 1 - Still using like that and move calculator on bottom / 2 - Add the id="openclose" to another image/text of your calculator and make it the hide/close element.</dd>
    </dl>';
//Changelog HTML
$HLPR_DASH_CHANGE = 
     '<b>Version:</b> 1.0.0 <br/>
      <b>Date:</b> April 2008  <br/>
      <b>State:</b> Initial Release<br/>
      <ul>
        <li>Simple Math Calculator</li>
        <li>Initial Joomla 1.1.0.x Version</li>
      </ul>';
      
?>

