<?php
// English language file for Ninja Tatami
//
// Distributed under the terms of the GNU General Public License
// This software may be used without warrany provided and
// copyright statements are left intact.

// Frontend language strings
DEFINE('_T_PAGETITLE', 'Tatami');

// Admin language strings
DEFINE('_T_A_TEMPLATELIST', 'Tatami Template List');

//Admin Toolbar text
DEFINE("_T_TB_ABOUT","Dashboard");
DEFINE("_T_TB_LIST","List Templates");

/*****Settings for the helpers*****/
//The component name, used to build directories
DEFINE('_HLPR_COM_NAME', 'com_tatami');
//The component name, used to for descriptions
DEFINE('_HLPR_COM_REAL_NAME', 'Ninja Tatami');
//The optional buttons ot show at the bottom of the component
DEFINE('_HLPR_BUTTONS', 'xhtml,css,cc,gnu');


/************
*Information for the Dashboard pages
*************/
/***Text For the Dashboard pages - shouldn't change***/
//Created By text
DEFINE('_HLPR_DASH_CREATEBY_TXT', 'Created by: ');
//License Information 
DEFINE('_HLPR_DASH_REL_UNDR_TXT', 'Released Under: ');
//'Rate it at' question and text
DEFINE('_HLPR_DASH_RATE_QN', 'Do you like this extension? ');
DEFINE('_HLPR_DASH_RATE_TXT', 'Rate it at ');
DEFINE('_HLPR_DASH_RATE_TXT2', 'Joomla.org');
//Support Text
DEFINE('_HLPR_DASH_SUPPT_TXT', ' If you require support for this component please visit the ninjoomla forums.');
//Copyright Information - used in the copyRight function
DEFINE('_HLPR_DASH_COPY_TXT', 'Copyright: ');
DEFINE('_HLPR_DASH_COPY', 'Ninjoomla.com');
DEFINE('_HLPR_DASH_COPY_URL', 'http://www.ninjoomla.com');
//Description title
DEFINE('_HLPR_DASH_DESC_TXT', 'Description: ');
//Usage Instructions page title
DEFINE('_HLPR_DASH_USAGE_TITLE', 'Usage Instructions');
//Changelog Page Title
DEFINE('_HLPR_DASH_CHANGE_TITLE', 'Changelog & Version Information');



/***Variables For the Dashboard pages - should change***/
//Catch Phrase
DEFINE('_HLPR_DASH_CATCHPHRASE', 'Say Goodbye to Template PHP Editing.');
//Who wrote the extension 
DEFINE('_HLPR_DASH_CREATEBY', 'Ben Hornedo and Daniel Chapman');
//License Information 
DEFINE('_HLPR_DASH_REL_UNDR', 'The GNU GPL Licence');
//'Rate it at' url
DEFINE('_HLPR_DASH_RATE_URL', 'http://extensions.joomla.org');
//Description content
DEFINE('_HLPR_DASH_DESC', '<p>Tatami allows you to control your Mambo and Joomla templates using a familiar component interface instead of having to edit your template php code every time you want to make a change.</p>
<p>This allows for much simpler, cleaner less error prone approach to managing your site\'s template.</p>');
//Usage Instructions page HTML
DEFINE('_HLPR_DASH_USAGE', '<p>If your template has been modified to work with Tatami, then all you need to do is:</p> 
      <ul>
        <li>Install this component</li> 
        <li>Install the template</li>
        <li>Select your template from the tatami listing</li>
        <li>Make your changes</li>
        <li>Save</li> 
      </ul>
      <p>That\'s it.</p>
      <p>If however, your template wasn\'t designed to work with Tatami, the process is a little more complicated.</p>
      <p>Please see the tutorials at <a href="http://www.ninjoomla.com" target="_self">Ninjoomla.com</a> for more information.</p>');
//Changelog HTML
DEFINE('_HLPR_DASH_CHANGE', 
     '<b>Version:</b> 1    <br/>
      <b>Date:</b> April 2008  <br/>
      <b>State:</b> Initial Release<br/>
      <ul>
        <li>Parameters can be edited using text fields, lists, radio buttons, image lists and text areas</li>
        <li>Templates can operate without the component being installed, by using the defaults from the included XML file.</li>
      </ul>');
      
?>
