<?php
defined ('_VALID_MOS') or die('Restricted access');

class HTML_ninjahelper_admin {
    
    /*
    * @showHeader
    * Display the header for our component pages
    * The dashboard pages need to load some javascript and have 3 tabs
    * Other pages only have one tab which is just an unclickable header
    * @$actType - String parameter of either 'action' or 'about'
    * @$images - An containing the details of the tab to be displayed (only for action pages)
    */     
    function showHeader($actType) {
                    
        global $option, $mosConfig_live_site,$mosConfig_absolute_path,$mainframe;
        
        $html = '<link rel="stylesheet" href="'.$mosConfig_live_site.'/administrator/components/'._HLPR_COM_NAME.'/helper/HTML_ninjahelper_admin.css.php" type="text/css"/>';
               
        //Access the user agent to find out the browser info
        $ua = $_SERVER['HTTP_USER_AGENT'];
        //display ie6 css if appropriate
        if (ereg( "MSIE",  $ua)) {
            
            $html = $html."\n".' <link rel="stylesheet" type="text/css" media="screen" href="'.$mosConfig_live_site.'/administrator/components/'._HLPR_COM_NAME.'/helper/HTML_ninjahelper_admin_ie6.css.php"/>';
            
        }
        
        //only load the JS on the dashboard page.
         if ($actType == 'dashboard'){ 
         ?>
         
            <script type="text/javascript" src="<?=$mosConfig_live_site?>/administrator/components/<?=_HLPR_COM_NAME?>/helper/ninja.js"></script>
         
         <?php }
  
        $mainframe->addCustomHeadTag($html);
   ?>
      <div id="nfouterdiv">
      <div id="logo"></div>
  <?php if ($actType == 'dashboard'){ ?>
      <div class="menu">
        <ul>
          <li onclick="easytabs('1', '1');" onfocus="easytabs('1', '1');" onmouseover="return false;"  title="" id="tablink1"><span id="info" class="tabtxt">General Info</span></li>
          <li onclick="easytabs('1', '2');" onFocus="easytabs('1', '2');" onmouseover="return false;"  title="" id="tablink2"><span id="inst" class="tabtxt">Instructions</span></li>
          <li onclick="easytabs('1', '3');" onFocus="easytabs('1', '3');" onmouseover="return false;"  title="" id="tablink3"><span id="change" class="tabtxt">Changelog & Version Info</span></li>
        </ul>
      </div>
  <?php } else {?>
  
      <a title="Click to return to the Dashboard" href="index2.php?option=<?=_HLPR_COM_NAME?>">Return To Dashboard</a>
  
  <?php } ?>
  
      <div class="nfbody">
  
  <?php
                
    }//function showHeader
  
  
    /*
    * @showFooter
    * Display the footer, and close the open outer divs for our component pages
    * 
    * @comName - name of the component
    * @buttonList - a comma seperated list of which optional buttons to show
    */ 
   function showFooter() { 
   
   
   ?>
     
  </div></div><br/>
  <div class="nfFooter">
  
  <div class="nfFoot"><?=_HLPR_COM_REAL_NAME?> - Copyright &copy; 2008 - <a href="http://www.ninjoomla.com">Ninjoomla.com</a></div>

  <a href="http://www.ninjoomla.com" target="_self"><img  class="buttons" src="/administrator/components/<?=_HLPR_COM_NAME?>/images/ninjoomla.png" alt="Visit Ninjoomla" title="Visit Ninjoomla"/></a>
  <a href="http://jcd-a.org" target="_self"><img class="buttons" src="/administrator/components/<?=_HLPR_COM_NAME?>/images/jcda.png" alt="Ninjoomla is a JCDA Member" title="Ninjoomla is a JCDA Member"/></a>
  <a href="http://www.spreadfirefox.com/node&amp;id=221592&amp;t=218" target="_self"><img class="buttons" src="/administrator/components/<?=_HLPR_COM_NAME?>/images/firefox2.gif" alt="Get Firefox for a better internet experience" title="Get Firefox for a better internet experience"/></a>
  
  <?php 
  
  //Explode our buttonList into an array so we can check the values inside it.
  $buttonArray = explode(',',_HLPR_BUTTONS);

  //Count the array so we know how many tiems ot loop
	$loopCount = count($buttonArray);
		 	
	for ($i=0; $i<$loopCount; $i++) {
		switch (trim($buttonArray[$i])) {
			case 'css':
			    ?>
			     
			    <img  class="buttons" src="/administrator/components/<?=_HLPR_COM_NAME?>/images/validation_css.png" alt="This Component Contains Only Valid CSS Code" title="This Component Contains Only Valid CSS Code"/>
			    
          <?php break;
			case 'xhtml':
			     ?>
			     
			    <img  class="buttons" src="/administrator/components/<?=_HLPR_COM_NAME?>/images/validation_xhtml.png" alt="This Component Contains Only Valid XHTML Transitional Code" title="This Component Contains Only Valid XHTML Transitional Code"/>
			    
          <?php break;		
		  case 'cc':
			    ?>
          
          <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/us/"><img class="buttons" alt="Creative Commons License Icon" title="Partially Licensed Creative Commons" src="/administrator/components/<?=_HLPR_COM_NAME?>/images/byncsa.png" /></a>  

          <?php break;
       case 'gnu':
			    ?>
          
          <a href="http://creativecommons.org/licenses/GPL/2.0/"><img  class="buttons" alt="CC-GNU GPL Icon" title="Partially, or Fully licensed CC-GNU GPL" src="/administrator/components/<?=_HLPR_COM_NAME?>/images/gnugpl.png" /></a>  

          <?php break; 
		}
	}
	
	//put some spacing at the bottom
  ?>
    </div>
  <br /><br /><br />
  <?php
   
   }//function showDash
    
    /*
    * @showDash
    * Display the Dashboard for the extension
    */ 
   function showDash() {
   
   ?>
   <div id="tabcontent1" class="njtab">
          <h1><?=_HLPR_COM_REAL_NAME?></h1>
          <div class="inner">
              <center><img src="/administrator/components/<?=_HLPR_COM_NAME?>/images/logo.jpg" class="logoimg" alt="<?=_HLPR_COM_REAL_NAME?>"></center><br/>
              <p><b><?=_HLPR_DASH_CREATEBY_TXT?></b><?=_HLPR_DASH_CREATEBY?></p>
              <p><b><?=_HLPR_DASH_REL_UNDR_TXT?></b><?=_HLPR_DASH_REL_UNDR?></p>
              <p><b><?=_HLPR_DASH_COPY_TXT?></b><a href="<?=_HLPR_DASH_COPY_URL?>"><?=_HLPR_DASH_COPY?></a></p>
              <p><?=_HLPR_DASH_SUPPT_TXT?></p>
              <p><b><?=_HLPR_DASH_RATE_QN?></b><?=_HLPR_DASH_RATE_TXT?><a href="<?=_HLPR_DASH_RATE_URL?>"><?=_HLPR_DASH_RATE_TXT2?></a></p>
              <p><b><?=_HLPR_DASH_DESC_TXT?></b><?=_HLPR_DASH_DESC?></p>
          </div>
      </div>
      
      <div id="tabcontent2" class="njtab">
          <h1><?=_HLPR_DASH_USAGE_TITLE?></h1>     
          <div class="inner"><?=_HLPR_DASH_USAGE?></div>
      </div>
      
      <div id="tabcontent3" class="njtab">
          <h1><?=_HLPR_DASH_CHANGE_TITLE?></h1>
          <div class="inner"><?=_HLPR_DASH_CHANGE?></div>
      </div>
      
   <?php
   }     
    
    
    
}
?>
