<?php
/*
* Ezee Dragger is a module designed to make editing the location of your logo 
* easier for those who who do not want to spend much time coding. 
* On top of this it also makes the logo draggable! 
* (c) Copyright: Ninjoomla, www.ninjoomla.com - Code so sharp, it hurts.
* email: daniel@ninjoomla.com 
* date: Sep, 2007
* Release: 1.1.1
* PHP Code License : http://www.gnu.org/copyleft/gpl.html GNU/GPL 
* JavaScript Code  : http://creativecommons.org/licenses/by-nc-sa/3.0/
*
* Changelog
* 
* 1.1.1  Sep 25, 07
*       Added XHTML and CSS validation
*       Revised and improved code speed
*		Misc php cleaning and optimising
*		Added alt param for better SEO and validation
*
* 1.1 July 18, 07 : 
*       Added a lot of comments to the source (pro version) 
*       Revised the JS to be cleaner
*       Added PNG fix functionality
* 
* 1.0 May 3, 07 : 
*       Initial Version
* 
*/
//###################################################################
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//version 2 as published by the Free Software Foundation.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//###################################################################

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

   
    $height = $params->get( 'height' );
    $width = $params->get( 'width' );
    $margin_left = $params->get( 'margin_left' );
    $margin_top = $params->get( 'margin_top' );
    $file_loc = $params->get( 'file_loc' );
    $file_name = $params->get( 'file_name' );
    $inc_mootools = $params->get( 'inc_mootools' );
    $unique_id = $params->get( 'unique_id' );
    $firstmod = $params->get( 'firstmod' );
    $use_png = $params->get( 'use_png' );
    $alt = $params->get( 'alt' );
    $container = $params->get( 'container' );
           
    $ua = $_SERVER['HTTP_USER_AGENT'];
    if (($use_png == 'y')&&((ereg( "MSIE",  $ua))&& (ereg( "6",  $ua)))){
        $pngFixString = ' style="behavior: url(\'modules/mod_ezeedragger/png.htc\');" ';
    }else {
        $pngFixString ='';
    }
    
    $headertag = '<style type="text/css"> 
              img#'.$unique_id.' {	
                    position:  absolute;
    	              float: left;
    	              margin: '.$margin_top.'px 0 0 '.$margin_left.'px;
    	              width: '.$width.'px;
    	              height: '.$height.'px;
                    border:0;   
              } 
              </style>';
          
    if ($inc_mootools)
    $headertag .= '<script src="modules/mod_ezeedragger/mootools.v1.11.js" type="text/javascript" language="javascript"></script>';
    
    if($firstmod){
    	$headertag .=  "<script type=\"text/javascript\">var varCon = '".$container."'</script>";
		$headertag .=  '<script src="modules/mod_ezeedragger/ezeedragger.js" type="text/javascript" language="javascript"></script>';
    }
    
    $buffer = ob_get_contents();
    $hdrPos = strpos ($buffer, '</head>');
    $buffer = substr ($buffer, 0, $hdrPos) . "\n$headertag\n". substr($buffer, $hdrPos);
    ob_clean();
    echo $buffer;    
    
    $img_tag_strt = '<img '.$pngFixString.' src="';
    $img_tag_end  = $file_name.'" class="ezeeDragger" alt="'.$alt.'" id="'.$unique_id.'" />';
        
    if ($file_loc == 'tpt'){
        echo  $img_tag_strt.$mosConfig_live_site.'/templates/'.$mainframe->getTemplate().$img_tag_end;
    }else if ($file_loc == 'img'){
        echo  $img_tag_strt.$mosConfig_live_site.'/images/'.$img_tag_end;
    } else {
        echo  $img_tag_strt.$img_tag_end;
    }

?>
