<?php
/**
 * @version $Id: mod_njcodaslider.php 16-11-07 0.0.9.alpha rev: 0001$
 * @package njcodaslider alpha
 * @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * njcodaslider for joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * Check Read me files or visit www.ninjoomla.com for more information
 * Supscription and Licencing agreement check at  www.ninjoomla.com
 */

// no direct access
defined('_VALID_MOS') or die('Restricted access');

//any dependencies
include_once ($mosConfig_absolute_path .
    '/modules/mod_njcodaslider/mod_njcodaslider_func.php');

//javascript
print '<script src="' . $mosConfig_live_site .
    '/modules/mod_njcodaslider/js/jquery-1.2.1.pack.js" type="text/javascript"></script>';
print '<script src="' . $mosConfig_live_site .
    '/modules/mod_njcodaslider/js/jquery-easing.1.2.pack.js" type="text/javascript"></script>';
print '<script src="' . $mosConfig_live_site .
    '/modules/mod_njcodaslider/js/jquery-easing-compatibility.1.2.pack.js" type="text/javascript"></script>';
print '<script src="' . $mosConfig_live_site .
    '/modules/mod_njcodaslider/js/coda-slider.1.1.pack.js" type="text/javascript"></script>';

//default css just to make sure it works in DW


//globals
global $mainframe, $database, $acl, $my, $mosConfig_absolute_path, $mosConfig_live_site;

//paramaters from
$position = $params->get('position', 'left');
$lang = $params->get('language', '');
$id = $params->get('id', ''); //just so as to be able to have multi, sliders per page

$lrnav =$params->get('lrnav','');//ask wether to use left and righ navs
$style = $params->get('style'); //disabeled for now, not working
//language
if (file_exists($mosConfig_absolute_path . '/modules/mod_njcodaslider/' . $lang .
    '_lang.php'))
{

    include_once ($mosConfig_absolute_path . '/modules/mod_njcodaslider/' . $lang .
        '_lang.php');

} else
{

    include_once ($mosConfig_absolute_path . '/modules/mod_njcodaslider/en_lang.php');

}

//layout and styling from mod_njcodaslider_func

?>
<link href="<?php echo $mosConfig_live_site; ?>/modules/mod_njcodaslider/<?php echo $style ; ?>" rel="stylesheet" type="text/css" />

<div class="slider-wrap">
	<div id="slider<?php echo $id; ?>" class="csw">
		<div class="panelContainer">
<?php
//Fairlure to load javascript message
echo _ERROR_MSG;

//lets get module from database
$query = "SELECT id, title, module, position, content, showtitle, params" . "\n FROM #__modules AS m" .
    "\n INNER JOIN #__modules_menu AS mm ON mm.moduleid = m.id" . "\n WHERE m.published = 1" .
    "\n AND m.position='$position'" . "\n AND m.access <= '" . $my->gid . "'" . "\n AND m.client_id != 1" .
    "\n AND ( mm.menuid = '" . $Itemid . "' OR mm.menuid = 0 )" . "\n ORDER BY ordering";

$database->setQuery($query);
$modules = $database->loadObjectList(); //stores all modules published to our fake position in this array

//lets make modules all respect our tabbed layout
foreach ($modules as $key => $module)
{
    $params = &new mosParameters($module->params);
?>

			<div class="panel" title="<?php echo $module->title; ?>">
				<div class="wrapper">
                	<h3><?php echo $module->title; ?></h3>
<?php
    if ((substr("$module->module", 0, 4)) == "mod_")
        //substr to read the first four letters of what ever string is contained in $module->module

    {
        LoadModule(substr($module->module, 4), $params);
    } else
    {
        echo $module->content;
    }

?>
                </div>
             </div>
<?php
} //closes the foreach statement

?>
             
         </div>
      </div>
  </div>

<!-- Initialize each slider on the page. Each slider must have a unique id -->
<script type="text/javascript">
    jQuery(window).bind("load", function() {
        jQuery("div#slider<?php echo $id; ?>").codaSlider()
    });
</script>
